[javascript]解决多个版本的jquery库或者$冲突

如果在一个页面上引入了多个jquery , 并且不能去掉的时候 , 

或者$函数和自己的函数冲突的时候

可以使用这样的方式来解决

 

在引入jquery的后面加入 , 类似下面这样

    <script src="https://cdn.jsdelivr.net/npm/jquery/dist/jquery.min.js"></script>
    <script>
        var Q=$.noConflict();
    </script>

jquery的$函数就可以使用 Q来替换了

和其他$函数就不会冲突了

posted @ 2021-05-08 15:56  陶士涵  阅读(19)  评论(0编辑  收藏  举报